curl --request POST \
--url https://api-lr.agent.ai/v1/action/company_research_v2_add_to_hubspot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_variable_name": "hubspot_result",
"domain": "<string>",
"company_id": "<string>",
"create_if_missing": true,
"update_existing": true
}
'{
"status": 123,
"response": {}
}Add or update a company in the user’s HubSpot CRM.
curl --request POST \
--url https://api-lr.agent.ai/v1/action/company_research_v2_add_to_hubspot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_variable_name": "hubspot_result",
"domain": "<string>",
"company_id": "<string>",
"create_if_missing": true,
"update_existing": true
}
'{
"status": 123,
"response": {}
}Bearer token from your account (https://agent.ai/user/integrations#api)
Variable name for the HubSpot sync result.
^[a-zA-Z][a-zA-Z0-9_]*$Domain of the company to sync.
Alternatively, provide the company ID.
Create company in HubSpot if it doesn't exist.
Update company properties if it already exists.